## thunar-gobject-extensions thunar-gobject-extensions |

## Functions

#define | G_OBJECT_WARN_INVALID_PROPERTY_ID()
void | thunar_g_initialize_transformations ()
gchar * | thunar_g_strescape ()
gboolean | thunar_g_app_info_equal ()

## Description

## Functions

### G_OBJECT_WARN_INVALID_PROPERTY_ID()

    #define G_OBJECT_WARN_INVALID_PROPERTY_ID(object, property_id, pspec) G_STMT_START{ (void)0; }G_STMT_END

### thunar_g_initialize_transformations ()

    void
    thunar_g_initialize_transformations (void);

Registers various transformation functions to the GLib Type System, which are used by `g_value_transform()` to transform between different kinds of values.

### thunar_g_strescape ()

    gchar *
    thunar_g_strescape (const gchar *source);

Similar to g_strescape, but as well escapes SPACE

Escapes the special characters '\b', '\f', '\n', '\r', '\t', '\v', '\' ' ' and '"' in the string source by inserting a '\' before them. Additionally all characters in the range 0x01-0x1F (SPACE and everything below) and in the range 0x7F-0xFF (all non-ASCII chars) are replaced with a '\' followed by their octal representation.

#### Parameters

source | The string to escape |

#### Returns

The new string. Has to be freed with g_free after usage.

[transfer full]

### thunar_g_app_info_equal ()

    gboolean
    thunar_g_app_info_equal (gpointer appinfo1,
                             gpointer appinfo2);

For unknown reason "g_app_info_equal" does weird stuff / crashes thunar in some cases. (select two files of the same type + Sent to --> mail recipient ) So we use this trivial method to compare applications for now.

#### Parameters

appinfo1 | The first g_app_info object |
appinfo2 | The second g_app_info object |

#### Returns

: TRUE if appinfo1 is equal to appinfo2. FALSE otherwise.